hdcp1x: XHdcp1x Struct Reference

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp1x Struct Reference
Hdcp1x_v4_3

This typedef contains an instance of an HDCP interface. More...

## Data Fields
XHdcp1x_Config | Config
| The core config. More...
XHdcp1x_Cipher | Cipher
| The interface's cipher. More...
XHdcp1x_Port | Port
| The interface's port. More...
u32 | IsReady
| The ready flag. More...
u32 | IsRepeater
| The IsRepeater flag determines if the HDCP is part of a Repeater system or a non-repeater interface. More...
XHdcp1x_RepeaterExchange | RepeaterValues
| The Repeater value to be exchanged between Tx and Rx. More...
void * | Hdcp1xRef
| A void reference pointer for association of a external core in our case a timer with the HDCP instance. More...
XHdcp1x_TimerStart | XHdcp1xTimerStart
| Instance of function interface used for starting a timer on behalf of an HDCP interface. More...
XHdcp1x_TimerStop | XHdcp1xTimerStop
| Instance of function interface used for stopping a timer on behalf of an HDCP interface. More...
XHdcp1x_TimerDelay | XHdcp1xTimerDelay
| Instance of function interface used for performing a busy delay on behalf of an HDCP interface. More...
XHdcp1x_Tx | Tx
| The transmit interface elements. More...
XHdcp1x_Rx | Rx
| The receive interface elements. More...

## Detailed Description

This typedef contains an instance of an HDCP interface.

## Field Documentation

XHdcp1x_Cipher XHdcp1x::Cipher

The interface's cipher.

Referenced by XHdcp1x_CipherHandleInterrupt(), XHdcp1x_CipherSetCallback(), XHdcp1x_RxInfo(), and XHdcp1x_TxInfo().

XHdcp1x_Config XHdcp1x::Config

The core config.

Referenced by XHdcp1x_Authenticate(), XHdcp1x_CfgInitialize(), XHdcp1x_CipherDisable(), XHdcp1x_CipherDisableBlank(), XHdcp1x_CipherDisableEncryption(), XHdcp1x_CipherDoRequest(), XHdcp1x_CipherEnable(), XHdcp1x_CipherEnableBlank(), XHdcp1x_CipherEnableEncryption(), XHdcp1x_CipherGetB(), XHdcp1x_CipherGetEncryption(), XHdcp1x_CipherGetK(), XHdcp1x_CipherGetLocalKsv(), XHdcp1x_CipherGetMi(), XHdcp1x_CipherGetMo(), XHdcp1x_CipherGetNumLanes(), XHdcp1x_CipherGetRemoteKsv(), XHdcp1x_CipherGetRi(), XHdcp1x_CipherGetRo(), XHdcp1x_CipherGetVersion(), XHdcp1x_CipherHandleInterrupt(), XHdcp1x_CipherInit(), XHdcp1x_CipherIsLinkUp(), XHdcp1x_CipherIsRequestComplete(), XHdcp1x_CipherSetB(), XHdcp1x_CipherSetK(), XHdcp1x_CipherSetKeySelect(), XHdcp1x_CipherSetLinkStateCheck(), XHdcp1x_CipherSetNumLanes(), XHdcp1x_CipherSetRemoteKsv(), XHdcp1x_CipherSetRiUpdate(), XHdcp1x_Disable(), XHdcp1x_DisableBlank(), XHdcp1x_DisableEncryption(), XHdcp1x_DownstreamReady(), XHdcp1x_Enable(), XHdcp1x_EnableBlank(), XHdcp1x_EnableEncryption(), XHdcp1x_GetEncryption(), XHdcp1x_GetRepeaterInfo(), XHdcp1x_GetTopology(), XHdcp1x_GetTopologyBKSV(), XHdcp1x_GetTopologyKSVList(), XHdcp1x_HandleTimeout(), XHdcp1x_Info(), XHdcp1x_IsAuthenticated(), XHdcp1x_IsDwnstrmCapable(), XHdcp1x_IsEnabled(), XHdcp1x_IsInComputations(), XHdcp1x_IsInProgress(), XHdcp1x_IsInWaitforready(), XHdcp1x_IsRepeater(), XHdcp1x_Poll(), XHdcp1x_PortDetermineAdaptor(), XHdcp1x_ProcessAKsv(), XHdcp1x_ReadDownstream(), XHdcp1x_Reset(), XHdcp1x_RxInfo(), XHdcp1x_SelfTest(), XHdcp1x_SetCallback(), XHdcp1x_SetHdmiMode(), XHdcp1x_SetLaneCount(), XHdcp1x_SetPhysicalState(), XHdcp1x_SetRepeater(), XHdcp1x_SetTopology(), XHdcp1x_SetTopologyKSVList(), XHdcp1x_SetTopologyUpdate(), and XHdcp1x_TxInfo().

void* XHdcp1x::Hdcp1xRef

A void reference pointer for association of a external core in our case a timer with the HDCP instance.

u32 XHdcp1x::IsReady

The ready flag.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_CipherHandleInterrupt(), XHdcp1x_CipherIntrHandler(), and XHdcp1x_PortIntrHandler().

u32 XHdcp1x::IsRepeater

The IsRepeater flag determines if the HDCP is part of a Repeater system or a non-repeater interface.

Referenced by XHdcp1x_IsRepeater(), XHdcp1x_SetRepeater(), and XHdcp1x_TxGetTopology().

XHdcp1x_Port XHdcp1x::Port

The interface's port.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_PortDisable(), XHdcp1x_PortEnable(), XHdcp1x_PortGetRepeaterInfo(), XHdcp1x_PortHandleInterrupt(), XHdcp1x_PortIsCapable(), XHdcp1x_PortIsRepeater(), XHdcp1x_PortRead(), XHdcp1x_PortSetCallback(), XHdcp1x_PortSetRepeater(), XHdcp1x_PortWrite(), XHdcp1x_ProcessAKsv(), XHdcp1x_RxInfo(), and XHdcp1x_TxInfo().

XHdcp1x_RepeaterExchange XHdcp1x::RepeaterValues

The Repeater value to be exchanged between Tx and Rx.

Referenced by XHdcp1x_RxGetRepeaterInfo(), XHdcp1x_RxSetTopology(), XHdcp1x_RxSetTopologyDepth(), XHdcp1x_RxSetTopologyDeviceCnt(), XHdcp1x_RxSetTopologyKSVList(), XHdcp1x_TxGetTopology(), XHdcp1x_TxGetTopologyDepth(), XHdcp1x_TxGetTopologyDeviceCnt(), and XHdcp1x_TxGetTopologyKSVList().

XHdcp1x_Rx XHdcp1x::Rx

The receive interface elements.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_RxInfo(), XHdcp1x_RxInit(), XHdcp1x_RxIsAuthenticated(), XHdcp1x_RxIsEnabled(), XHdcp1x_RxIsInComputations(), XHdcp1x_RxIsInProgress(), XHdcp1x_RxIsInWaitforready(), and XHdcp1x_RxSetCallback().

XHdcp1x_Tx XHdcp1x::Tx

The transmit interface elements.

Referenced by XHdcp1x_CfgInitialize(), XHdcp1x_TxAuthenticate(), XHdcp1x_TxDisableEncryption(), XHdcp1x_TxEnableEncryption(), XHdcp1x_TxGetEncryption(), XHdcp1x_TxGetTopology(), XHdcp1x_TxInfo(), XHdcp1x_TxInit(), XHdcp1x_TxIsAuthenticated(), XHdcp1x_TxIsEnabled(), XHdcp1x_TxIsInComputations(), XHdcp1x_TxIsInProgress(), XHdcp1x_TxIsInWaitforready(), XHdcp1x_TxReset(), XHdcp1x_TxSetCallback(), and XHdcp1x_TxSetHdmiMode().

XHdcp1x_TimerDelay XHdcp1x::XHdcp1xTimerDelay

Instance of function interface used for performing a busy delay on behalf of an HDCP interface.

Referenced by XHdcp1x_PlatformTimerBusy(), and XHdcp1x_SetTimerDelay().

XHdcp1x_TimerStart XHdcp1x::XHdcp1xTimerStart

Instance of function interface used for starting a timer on behalf of an HDCP interface.

Referenced by XHdcp1x_PlatformTimerStart(), and XHdcp1x_SetTimerStart().

XHdcp1x_TimerStop XHdcp1x::XHdcp1xTimerStop

Instance of function interface used for stopping a timer on behalf of an HDCP interface.

Referenced by XHdcp1x_PlatformTimerStop(), and XHdcp1x_SetTimerStop().